Index: stable/HeuristicLab.DataPreprocessing/3.4/Content/CorrelationMatrixContent.cs
===================================================================
--- stable/HeuristicLab.DataPreprocessing/3.4/Content/CorrelationMatrixContent.cs	(revision 15584)
+++ stable/HeuristicLab.DataPreprocessing/3.4/Content/CorrelationMatrixContent.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,10 +23,10 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Feature Correlation Matrix", "Represents the feature correlation matrix.")]
-  [StorableClass]
+  [StorableType("E6B5FD30-847E-4AA5-8638-9CD166E10C22")]
   public class CorrelationMatrixContent : PreprocessingContent, IViewShortcut {
     public static new Image StaticItemImage {
@@ -63,6 +63,5 @@
 
     [StorableConstructor]
-    protected CorrelationMatrixContent(bool deserializing)
-      : base(deserializing) { }
+    protected CorrelationMatrixContent(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: stable/HeuristicLab.DataPreprocessing/3.4/Content/DataCompletenessChartContent.cs
===================================================================
--- stable/HeuristicLab.DataPreprocessing/3.4/Content/DataCompletenessChartContent.cs	(revision 15584)
+++ stable/HeuristicLab.DataPreprocessing/3.4/Content/DataCompletenessChartContent.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Data Completeness Chart", "Represents a datacompleteness chart.")]
-  [StorableClass]
+  [StorableType("C3709BBA-D024-482C-9D28-E15B1F2B2F54")]
   public class DataCompletenessChartContent : PreprocessingContent, IViewShortcut {
     public static new Image StaticItemImage {
@@ -46,6 +46,5 @@
 
     [StorableConstructor]
-    protected DataCompletenessChartContent(bool deserializing)
-      : base(deserializing) { }
+    protected DataCompletenessChartContent(StorableConstructorFlag _) : base(_) { }
     #endregion
   }
Index: stable/HeuristicLab.DataPreprocessing/3.4/Content/DataGridContent.cs
===================================================================
--- stable/HeuristicLab.DataPreprocessing/3.4/Content/DataGridContent.cs	(revision 15584)
+++ stable/HeuristicLab.DataPreprocessing/3.4/Content/DataGridContent.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,10 +27,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Random;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Data Grid", "Represents a data grid.")]
-  [StorableClass]
+  [StorableType("DC6AE5CE-B0FA-4C8C-BDBB-D490C6DE4174")]
   public class DataGridContent : PreprocessingContent, IStringConvertibleMatrix, IViewShortcut {
     public static new Image StaticItemImage {
@@ -85,6 +85,5 @@
 
     [StorableConstructor]
-    protected DataGridContent(bool deserializing)
-      : base(deserializing) { }
+    protected DataGridContent(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: stable/HeuristicLab.DataPreprocessing/3.4/Content/FilterContent.cs
===================================================================
--- stable/HeuristicLab.DataPreprocessing/3.4/Content/FilterContent.cs	(revision 15584)
+++ stable/HeuristicLab.DataPreprocessing/3.4/Content/FilterContent.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,9 +26,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.DataPreprocessing.Filter;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Filter", "Represents the filter grid.")]
-  [StorableClass]
+  [StorableType("A1676153-6E8F-48B5-8FC4-EB0E8060179D")]
   public class FilterContent : PreprocessingContent, IViewShortcut {
     public static new Image StaticItemImage {
@@ -83,6 +83,5 @@
 
     [StorableConstructor]
-    protected FilterContent(bool deserializing)
-      : base(deserializing) { }
+    protected FilterContent(StorableConstructorFlag _) : base(_) { }
     #endregion
   }
Index: stable/HeuristicLab.DataPreprocessing/3.4/Content/HistogramContent.cs
===================================================================
--- stable/HeuristicLab.DataPreprocessing/3.4/Content/HistogramContent.cs	(revision 15584)
+++ stable/HeuristicLab.DataPreprocessing/3.4/Content/HistogramContent.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,9 +26,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Histogram", "Represents the histogram grid.")]
-  [StorableClass]
+  [StorableType("FD29EAB3-ABE6-49F4-A162-16E11790F7D5")]
   public class HistogramContent : PreprocessingChartContent {
     public static new Image StaticItemImage {
@@ -66,6 +66,5 @@
 
     [StorableConstructor]
-    protected HistogramContent(bool deserializing)
-      : base(deserializing) { }
+    protected HistogramContent(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: stable/HeuristicLab.DataPreprocessing/3.4/Content/IViewShortcut.cs
===================================================================
--- stable/HeuristicLab.DataPreprocessing/3.4/Content/IViewShortcut.cs	(revision 15584)
+++ stable/HeuristicLab.DataPreprocessing/3.4/Content/IViewShortcut.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
+  [StorableType("60755b48-d362-4957-94c5-cc770cc2a261")]
   public interface IViewShortcut : IItem {
   }
Index: stable/HeuristicLab.DataPreprocessing/3.4/Content/LineChartContent.cs
===================================================================
--- stable/HeuristicLab.DataPreprocessing/3.4/Content/LineChartContent.cs	(revision 15584)
+++ stable/HeuristicLab.DataPreprocessing/3.4/Content/LineChartContent.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Line Chart", "Represents the line chart grid.")]
-  [StorableClass]
+  [StorableType("F874E5FD-27A8-471F-91D5-598392655FA4")]
   public class LineChartContent : PreprocessingChartContent {
     public static new Image StaticItemImage {
@@ -52,6 +52,5 @@
 
     [StorableConstructor]
-    protected LineChartContent(bool deserializing)
-      : base(deserializing) { }
+    protected LineChartContent(StorableConstructorFlag _) : base(_) { }
     #endregion
   }
Index: stable/HeuristicLab.DataPreprocessing/3.4/Content/ManipulationContent.cs
===================================================================
--- stable/HeuristicLab.DataPreprocessing/3.4/Content/ManipulationContent.cs	(revision 15584)
+++ stable/HeuristicLab.DataPreprocessing/3.4/Content/ManipulationContent.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,9 +26,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Manipulation", "Represents the available manipulations on a data set.")]
-  [StorableClass]
+  [StorableType("42EE7A94-807F-482D-BE64-F98B05896B16")]
   public class ManipulationContent : PreprocessingContent, IViewShortcut {
     public static new Image StaticItemImage {
@@ -49,6 +49,5 @@
 
     [StorableConstructor]
-    protected ManipulationContent(bool deserializing)
-      : base(deserializing) { }
+    protected ManipulationContent(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: stable/HeuristicLab.DataPreprocessing/3.4/Content/MultiScatterPlotContent.cs
===================================================================
--- stable/HeuristicLab.DataPreprocessing/3.4/Content/MultiScatterPlotContent.cs	(revision 15584)
+++ stable/HeuristicLab.DataPreprocessing/3.4/Content/MultiScatterPlotContent.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Multi Scatter Plot", "Represents a multi scatter plot.")]
-  [StorableClass]
+  [StorableType("1F55FF9A-2EE3-4A5B-BEF4-8F19D9A3A54D")]
   public class MultiScatterPlotContent : ScatterPlotContent {
     public static new Image StaticItemImage {
@@ -46,6 +46,5 @@
 
     [StorableConstructor]
-    protected MultiScatterPlotContent(bool deserializing)
-      : base(deserializing) { }
+    protected MultiScatterPlotContent(StorableConstructorFlag _) : base(_) { }
     #endregion
   }
Index: stable/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingChartContent.cs
===================================================================
--- stable/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingChartContent.cs	(revision 15584)
+++ stable/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingChartContent.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,10 +29,11 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("PreprocessingChart", "Represents a preprocessing chart.")]
-  [StorableClass]
+  [StorableType("7EDAFA6E-E4B1-4150-BB57-280A9F9E61D8")]
   public class PreprocessingChartContent : PreprocessingContent, IViewShortcut {
+    [StorableType("d4c1c81a-f0c5-496f-8264-76b75572c0fc")]
     public enum LegendOrder {
       Alphabetically,
@@ -73,6 +74,5 @@
 
     [StorableConstructor]
-    protected PreprocessingChartContent(bool deserializing)
-      : base(deserializing) { }
+    protected PreprocessingChartContent(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: stable/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingContent.cs
===================================================================
--- stable/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingContent.cs	(revision 15584)
+++ stable/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingContent.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("PreprocessingContent", "")]
-  [StorableClass]
+  [StorableType("16A5E913-08C6-4286-AD2F-4598ACB60F74")]
   public abstract class PreprocessingContent : Item {
 
@@ -43,6 +43,5 @@
 
     [StorableConstructor]
-    protected PreprocessingContent(bool deserializing)
-      : base(deserializing) { }
+    protected PreprocessingContent(StorableConstructorFlag _) : base(_) { }
     #endregion
   }
Index: stable/HeuristicLab.DataPreprocessing/3.4/Content/ScatterPlotContent.cs
===================================================================
--- stable/HeuristicLab.DataPreprocessing/3.4/Content/ScatterPlotContent.cs	(revision 15584)
+++ stable/HeuristicLab.DataPreprocessing/3.4/Content/ScatterPlotContent.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,10 +26,10 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Visualization.ChartControlsExtensions;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("ScatterPlotContent", "")]
-  [StorableClass]
+  [StorableType("CF1014CB-9B19-4653-AEC2-630C231D89B2")]
   public abstract class ScatterPlotContent : PreprocessingChartContent {
     [Storable]
@@ -47,6 +47,5 @@
 
     [StorableConstructor]
-    protected ScatterPlotContent(bool deserializing)
-      : base(deserializing) { }
+    protected ScatterPlotContent(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: stable/HeuristicLab.DataPreprocessing/3.4/Content/SingleScatterPlotContent.cs
===================================================================
--- stable/HeuristicLab.DataPreprocessing/3.4/Content/SingleScatterPlotContent.cs	(revision 15584)
+++ stable/HeuristicLab.DataPreprocessing/3.4/Content/SingleScatterPlotContent.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Scatter Plot", "Represents a scatter plot.")]
-  [StorableClass]
+  [StorableType("7DED0A9A-8999-483F-9F4E-130B7B8A0E76")]
   public class SingleScatterPlotContent : ScatterPlotContent {
     public static new Image StaticItemImage {
@@ -53,6 +53,5 @@
 
     [StorableConstructor]
-    protected SingleScatterPlotContent(bool deserializing)
-      : base(deserializing) { }
+    protected SingleScatterPlotContent(StorableConstructorFlag _) : base(_) { }
     #endregion
   }
Index: stable/HeuristicLab.DataPreprocessing/3.4/Content/StatisticsContent.cs
===================================================================
--- stable/HeuristicLab.DataPreprocessing/3.4/Content/StatisticsContent.cs	(revision 15584)
+++ stable/HeuristicLab.DataPreprocessing/3.4/Content/StatisticsContent.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,9 +23,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Statistics", "Represents the statistics grid.")]
-  [StorableClass]
+  [StorableType("09B05895-BEE1-4D52-A6ED-504472D8A1FE")]
   public class StatisticsContent : PreprocessingContent, IViewShortcut {
     public static new Image StaticItemImage {
@@ -46,6 +46,5 @@
 
     [StorableConstructor]
-    protected StatisticsContent(bool deserializing)
-      : base(deserializing) { }
+    protected StatisticsContent(StorableConstructorFlag _) : base(_) { }
     #endregion
 
Index: stable/HeuristicLab.DataPreprocessing/3.4/Content/TransformationContent.cs
===================================================================
--- stable/HeuristicLab.DataPreprocessing/3.4/Content/TransformationContent.cs	(revision 15584)
+++ stable/HeuristicLab.DataPreprocessing/3.4/Content/TransformationContent.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,10 +23,10 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.DataPreprocessing {
   [Item("Transformation", "Represents the transformation grid.")]
-  [StorableClass]
+  [StorableType("43EBAA29-D1FC-4187-8567-0003D88BD748")]
   public class TransformationContent : PreprocessingContent, IViewShortcut {
     public static new Image StaticItemImage {
@@ -52,6 +52,5 @@
 
     [StorableConstructor]
-    protected TransformationContent(bool deserializing)
-      : base(deserializing) { }
+    protected TransformationContent(StorableConstructorFlag _) : base(_) { }
     #endregion
   }
